﻿using System;

namespace InABox.Logikal
{
    public class LogikalProjectResponse : LogikalResponse, ILogikalProject 
    {

        public override LogikalMethod Method() => LogikalMethod.Project;

        public Guid ID { get; set; }

        public string Name { get; set; }

        public string PersonInCharge { get; set; }

        public string Path { get; set; }

        public DateTime Created { get; set; }

        public DateTime LastUpdated { get; set; }

        public string JobNumber { get; set; }

        public string OfferNumber { get; set; }

        public override string ToString() => $"Found Project [{ID}]: [{Name}]";


    }
}