using System;
using System.Globalization;
using InABox.Core;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class DateTimeToColorConverter: AbstractConverter<DateTime,Color>
    {
        
        public Color EmptyColor { get; set; }
        public Color FilledColor { get; set; }

        protected override Color Convert(DateTime value, object? parameter = null)
        {
            return value.IsEmpty() ? EmptyColor : FilledColor;
        }
        
    }
}