using System.Threading.Tasks;
using Xamarin.Essentials;

namespace InABox.Mobile
{
    public class MobileDocumentVideoLibrarySource : MobileVideoSource<MobileDocumentVideoLibrarySource, MobileDocumentVideoLibraryOptions>
    {
        
        public MobileDocumentVideoLibrarySource(MobileDocumentVideoLibraryOptions options) : base(options)
        {
        }
        
        protected override async Task<bool> IsEnabled() 
            => await IsEnabled<Permissions.Photos>();
        
        protected override async Task<FileResult> Capture() 
            => await MediaPicker.PickVideoAsync();


    }
}