﻿using System;

namespace InABox.Core
{
    //public class ImporterLookupGenerator : LookupGenerator<String>
    //{
    //    public ImporterLookupGenerator(string[] items) : base(items)
    //    {
    //        foreach (var definition in ImportDefinitions.Definitions)
    //            AddValue(definition.Description, definition.Description);
    //    }
    //}

    public class Importer : Entity, IRemotable, IPersistent, ILicense<CoreLicense>
    {
        public Importer()
        {
            HasHeader = true;
            HeaderRows = 1;
        }

        [TextBoxEditor]
        public string Description { get; set; }

        [NullEditor]
        public string EntityName { get; set; }

        [NullEditor]
        public Guid EntityID { get; set; }

        [NullEditor]
        public string ImporterDescription { get; set; }

        [NullEditor]
        public string FileName { get; set; }

        [NullEditor]
        public string Definition { get; set; }

        [NullEditor]
        public bool HasHeader { get; set; }

        [NullEditor]
        public int HeaderRows { get; set; }

        [NullEditor]
        public string ColumnWidths { get; set; }

        [NullEditor]
        public string Script { get; set; }

        [NullEditor]
        public string? Settings { get; set; }
    }
}