﻿using System;

namespace InABox.Core
{
    [UserTracking(typeof(User))]
    public class UserHistory : Entity, IPersistent, IRemotable, ILicense<CoreLicense>
    {
        public Guid UserID;

        public string Entity { get; set; }

        public DateTime Date { get; set; }

        public int Read { get; set; }

        public int Write { get; set; }
    }
}