﻿using System;

namespace InABox.Logikal
{
    public class LogikalElevationRequest : AbstractLogikalPartsRequest
    {

        public override LogikalMethod Method() => LogikalMethod.Elevation;

        public Guid ElevationID { get; private set; }

        public LogikalElevationRequest(Guid projectid, Guid elevationid, string finishQuery, string profileQuery, string componentQuery, string glassQuery, string labourQuery, bool includeExcelData)
        : base(projectid, finishQuery, profileQuery, componentQuery, glassQuery, labourQuery, includeExcelData)
        {
            ElevationID = elevationid;
        }
    }

}