﻿using InABox.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Rpc
{
    public interface IRpcCommandParameters : ISerializeBinary
    {
        /// <summary>
        /// Get a full, human-readable description of this command.
        /// </summary>
        /// <returns>The description.</returns>
        string? FullDescription();

        /// <summary>
        /// Get a shortened description of this command.
        /// </summary>
        /// <returns>The description.</returns>
        string? ShortDescription();
    }
}
